Asterisk Install With FreePBX – CentOS 5 Part-3

Asterisk Install With FreePBX – CentOS 5 Part-3

Video is ready, Click Here to View ×


Just a quick install and very basic configuration of Asterisk FreePBX on CentOS.

Download ISO here: http://www.asterisk.org/downloads

admin

18 Comments

Hay everyone just little tip if you are stuck at 4.00.For me it was my name sever setup to 127.0.0.1.Had to change it to default gateway address.Good job Dustin….Thank you

Hi,

New to pbx here. I am using ubuntu 12.04 and I have installed asterisk and free pbx – yet when I go to open freepbx gui – I get a web page saying it is an apache port 80 server and the only other thing it shows is (/). Here is what an ls prompt says in ubuntu terminal. Can ANYONE please help me get this up and running!?!?

Thank you so much & god bless!

Nick

root@parallels-Parallels-Virtual-Platform:/usr/src# ls
asterisk-11.11.0                       libpri-1.4-current.tar.gz.1
asterisk-11-current.tar.gz             libpri-1.4-current.tar.gz.2
asterisk-11-current.tar.gz.1           libpri-1.4-current.tar.gz.3
asterisk-11-current.tar.gz.2           libpri-1.4-current.tar.gz.4
asterisk-11-current.tar.gz.3           linux-headers-3.2.0-23
asterisk-11-current.tar.gz.4           linux-headers-3.2.0-23-generic
asterisk-11-current.tar.gz.5           linux-headers-3.2.0-24
dahdi-2.5.0.1+dfsg-1ubuntu2            linux-headers-3.2.0-24-generic
dahdi-linux-complete-2.9.2+2.9.2       linux-headers-3.2.0-25
dahdi-linux-complete-current.tar.gz    linux-headers-3.2.0-25-generic
dahdi-linux-complete-current.tar.gz.1  linux-headers-3.2.0-29
dahdi-linux-complete-current.tar.gz.2  linux-headers-3.2.0-29-generic
dahdi-linux-complete-current.tar.gz.3  linux-headers-3.2.0-67
dahdi-linux-complete-current.tar.gz.4  linux-headers-3.2.0-67-generic
freepbx                                parallels-tools-7.0.15096.768993
freepbx-2.11.0.25.tgz                  parallels-tools-7.0.15100.771427
freepbx-2.11.0.tar.gz                  parallels-tools-8.0.16485.759271
iksemel-1.4                            parallels-tools-8.0.16529.768679
iksemel-1.4.tar.gz                     parallels-tools-8.0.18100.795512
iksemel-1.4.tar.gz.1                   parallels-tools-8.0.18608.898384
libpri-1.4.15                          vpb-driver.tar.bz2
libpri-1.4-current.tar.gz
root@parallels-Parallels-Virtual-Platform:/usr/src# 

I followed your steps.Finally,out of the following messages
「    DAHDi Config cannot be upgraded:
        PHP version 5.3.0 or higher is required, you have 5.1.6
    Please try again after the dependencies have been installed.
    SIPSTATION cannot be installed:
        Module FreePBX Framework is required, but yours is disabled.
    Please try again after the dependencies have been installed.
    2.11 Upgrade Tool cannot be installed:
        FreePBX version 2.10.0 or higher is required, you have 2.10.0rc1
        Module FreePBX Framework is required, but yours is disabled.
    Please try again after the dependencies have been installed.」

I see your video that "freePBX Framework" is disabled.
Why is there no warning message is displayed?

Device Configuration settings , Not showing admin panel on web browser .kindly share the solution.Static IP ,Default gateway, or DNS settings not setup right.

i can't find solution till now.Reply soon .Thank you

I downloaded and updated all repositories, but the dahdiconfig. It said I need to upgrade php from 5.1.6 to 5.3.0 or higher. I manually updated php to 2.3.0. After restarting webserver as well as the CentOS, I get a whole page of gibberish commands, and at the bottom at webserver status…. AsteriskOK, MySQLOK, Web Server ERROR, SSH serverOK. Please help to fix.

Thats because you have a loopback DNS. Google "set the DNS from the command line". Set the nameserver to your router address. Save and exit. Reboot the network interface in Linux. Open up the browser and log back in.

Leave a Reply

Your email address will not be published. Required fields are marked *